Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http.fileupload
Interface FileItemHeadersSupport

All Known Subinterfaces:
  FileItemStream

All Known Implementing Classes:
  DiskFileItem

    public interface FileItemHeadersSupport

Interface that will indicate that `FileItem` or `FileItemStream` implementations will accept the headers read for the item.

Since:
  1.3
Author:
  Michael C. Macaluso
See Also:
  `FileItem`, `FileItemStream`

Method Summary
`FileItemHeaders` | `getHeaders()` Returns the collection of headers defined locally within this item.
`void` | `setHeaders(FileItemHeaders headers)` Sets the headers read from within an item.

Method Detail

### getHeaders

    FileItemHeaders getHeaders()

  Returns the collection of headers defined locally within this item.

  Returns:
    the `FileItemHeaders` present for this item.

### setHeaders

    void setHeaders(FileItemHeaders headers)

  Sets the headers read from within an item. Implementations of `FileItem` or `FileItemStream` should implement this interface to be able to get the raw headers found within the item header block.

  Parameters:
    `headers` - the instance that holds onto the headers for this instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.